Bug 232560 - [WebGPU] Bindings part 2: Bring back Buffer bindings code
Summary: [WebGPU] Bindings part 2: Bring back Buffer bindings code
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-11-01 01:46 PDT by Myles C. Maxfield
Modified: 2021-11-06 14:10 PDT (History)
17 users (show)

See Also:


Attachments
Patch (42.70 KB, patch)
2021-11-01 01:48 PDT, Myles C. Maxfield
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (42.76 KB, patch)
2021-11-01 02:03 PDT, Myles C. Maxfield
achristensen: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2021-11-01 01:46:56 PDT
[WebGPU] Bindings part 2: Bring back Buffer bindings code
Comment 1 Myles C. Maxfield 2021-11-01 01:48:41 PDT
Created attachment 442966 [details]
Patch
Comment 2 Myles C. Maxfield 2021-11-01 02:03:07 PDT
Created attachment 442967 [details]
Patch
Comment 3 Alex Christensen 2021-11-01 15:07:23 PDT
Comment on attachment 442967 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=442967&action=review

> Source/WebCore/Modules/WebGPU/GPUBufferUsage.h:33
> +using GPUBufferUsageFlags = uint32_t;

It looks like this could currently be uint16_t
Comment 4 Myles C. Maxfield 2021-11-01 22:09:21 PDT
Comment on attachment 442967 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=442967&action=review

> Source/WebCore/Modules/WebGPU/GPUBufferUsage.idl:32
> +interface GPUBufferUsage {

This should be SecureContext

> Source/WebCore/Modules/WebGPU/GPUMapMode.idl:32
> +interface GPUMapMode {

Ditto.
Comment 5 Myles C. Maxfield 2021-11-04 18:40:57 PDT
Comment on attachment 442967 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=442967&action=review

>> Source/WebCore/Modules/WebGPU/GPUBufferUsage.h:33
>> +using GPUBufferUsageFlags = uint32_t;
> 
> It looks like this could currently be uint16_t

The IDL has

typedef [EnforceRange] unsigned long GPUBufferUsageFlags;

I don't think we should deviate from that.
Comment 6 Myles C. Maxfield 2021-11-06 14:09:11 PDT
Committed r285377 (243934@main): <https://commits.webkit.org/243934@main>
Comment 7 Radar WebKit Bug Importer 2021-11-06 14:10:17 PDT
<rdar://problem/85104537>